com.salesforce.datacloud.jdbc.core.listener

## Class AdaptiveQueryStatusListener

- java.lang.Object
- - com.salesforce.datacloud.jdbc.core.listener.AdaptiveQueryStatusListener

All Implemented Interfaces:
  QueryStatusListener

    public class AdaptiveQueryStatusListener
    extends Object
    implements QueryStatusListener

### Field Summary

### Fields inherited from interface com.salesforce.datacloud.jdbc.core.listener.QueryStatusListener

`BEFORE_READY`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`DataCloudResultSet` `generateResultSet()`
`String` `getQuery()`
`String` `getQueryId()`
`String` `getStatus()`
`boolean` `isReady()`
`static AdaptiveQueryStatusListener` `of(String query, HyperGrpcClientExecutor client, Duration timeout)`
`Stream<QueryResult>` `stream()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### of

    public static AdaptiveQueryStatusListener of(String query,
                                                 HyperGrpcClientExecutor client,
                                                 Duration timeout)
                                          throws SQLException

Throws:
  `SQLException`

#### isReady

    public boolean isReady()

Specified by:
  `isReady` in interface `QueryStatusListener`

#### getStatus

    public String getStatus()

Specified by:
  `getStatus` in interface `QueryStatusListener`

#### generateResultSet

    public DataCloudResultSet generateResultSet()

Specified by:
  `generateResultSet` in interface `QueryStatusListener`

#### stream

    public Stream<QueryResult> stream()
                               throws SQLException

Specified by:
  `stream` in interface `QueryStatusListener`
Throws:
  `SQLException`

#### getQueryId

    public String getQueryId()

Specified by:
  `getQueryId` in interface `QueryStatusListener`

#### getQuery

    public String getQuery()

Specified by:
  `getQuery` in interface `QueryStatusListener`